Loading...
Searching...
No Matches
fastjet::Error Class Reference
Error handling

base class corresponding to errors that can be thrown by FastJet More...

`#include <fastjet/Error.hh>`

Inheritance diagram for fastjet::Error:
[legend]

## Public Member Functions

| Error ()
| default constructors
| Error (const std::string &message)
| ctor from an error message
virtual | ~Error ()
| virtual dummy dtor
std::string | message () const
| the error message
std::string | description () const
| an alternative access to the error message (more standard)

## Static Public Member Functions

static void | set_print_errors (bool print_errors)
| controls whether the error message (and the backtrace, if its printing is enabled) is printed out or not
static void | set_print_backtrace (bool enabled)
| controls whether the backtrace is printed out with the error message or not.
static void | set_default_stream (std::ostream *ostr)
| sets the default output stream for all errors; by default cerr; if it's null then error output is suppressed.

## Detailed Description

base class corresponding to errors that can be thrown by FastJet

Definition at line 52 of file Error.hh.

## Constructor & Destructor Documentation

## Error() [1/2]

fastjet::Error::Error | ( |  | ) |

inline

default constructors

Definition at line 55 of file Error.hh.

## Error() [2/2]

fastjet::Error::Error | ( | const std::string & | message | ) |

ctor from an error message

Parameters

  message | to be printed Note: in addition to the error message, one can choose to print the backtrace (showing the last few calls before the error) by using set_print_backtrace(true). The default is "false".

Definition at line 120 of file Error.cc.

## ~Error()

virtual fastjet::Error::~Error | ( |  | ) |

inline virtual

virtual dummy dtor

Definition at line 65 of file Error.hh.

## Member Function Documentation

## message()

std::string fastjet::Error::message | ( |  | ) | const

inline

the error message

Definition at line 68 of file Error.hh.

## description()

std::string fastjet::Error::description | ( |  | ) | const

inline

an alternative access to the error message (more standard)

Definition at line 71 of file Error.hh.

## set_print_errors()

void fastjet::Error::set_print_errors | ( | bool | print_errors | ) |

inline static

controls whether the error message (and the backtrace, if its printing is enabled) is printed out or not

Definition at line 75 of file Error.hh.

## set_print_backtrace()

void fastjet::Error::set_print_backtrace | ( | bool | enabled | ) |

static

controls whether the backtrace is printed out with the error message or not.

The default is "false".

Definition at line 171 of file Error.cc.

## set_default_stream()

void fastjet::Error::set_default_stream | ( | std::ostream * | ostr | ) |

inline static

sets the default output stream for all errors; by default cerr; if it's null then error output is suppressed.

Definition at line 83 of file Error.hh.

The documentation for this class was generated from the following files:

- include/fastjet/Error.hh
- src/Error.cc